Bug 585627 - New driver lockup computer at startup
New driver lockup computer at startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-wacom (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-25 02:22 EDT by Daiver
Modified: 2010-12-03 10:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:28:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daiver 2010-04-25 02:22:56 EDT
Description of problem:
New driver xorg-x11-drv-wacom-0.10.5-1.fc12.x86_64 lockup computer
Old xorg-x11-drv-wacom-0.10.4-2.fc12.x86_64 work perfect.
Other packages is latest on 25-04-2010.
Computer is Fujitsu ST6012 with integrated wacom.
When lockup, network stop, usb keyboard not work, i cannot see any logs.
Comment 1 Peter Hutterer 2010-04-27 19:17:52 EDT
so you can't see any logs at all? if the lockup happens, please unplug your tablet and then reboot. When the server comes up again, the old log should be in Xorg.0.log.old (number might differ, depending on your $DISPLAY). Please attach this one.
Comment 2 Peter Hutterer 2010-05-07 03:02:57 EDT
can I ask you to bisect this please, I haven't been able to narrow it down yet.

yum install xorg-x11-util-macros xorg-x11-server-devel
git clone git://linuxwacom.git.sourceforge.net/gitroot/linuxwacom/xf86-input-wacom
cd xf86-input-wacom
./autogen.sh --prefix=/usr --libdir=/usr/lib64
make && make install

this overwrites your local /usr/lib64/xorg/modules/input/wacom_drv.so.

Please verify that it happens with the current upstream. If it does, the following steps get you to the commit that broke it:

git bisect bad origin/master
git bisect good xf86-input-wacom-0.10.5

Then after each time git gives you a build, simply run make && make install, followed by an X server restart. If it works, type git bisect good, otherwise git bisect bad. Eventually, you should end up with the commit that broke it.
Comment 3 Bug Zapper 2010-11-03 12:21:30 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 10:28:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.